Package twisted :: Package im :: Module pbsupport

[show private | hide private]
[frames | no frames]

## Module twisted.im.pbsupport

Classes
`PBAccount` |
`TwistedWordsClient` | In some cases, this acts as an Account, since it a source of text messages (multiple Words instances may be on a single PB connection)
`TwistedWordsGroup` |
`TwistedWordsPerson` | I a facade for a person you can talk to through a twisted.words service.

Variable Summary
`Enum` | `AWAY`
`_Feature` | `nested_scopes`
`Enum` | `OFFLINE`
`Enum` | `ONLINE`
`dictionary` | `pbFrontEnds`

Variable Details

### AWAY

  Type:
    `Enum`
  Value:

        <None: Away>

### nested_scopes

  Type:
    `_Feature`
  Value:

        Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'final', 0))

### OFFLINE

  Type:
    `Enum`
  Value:

        <None: Offline>

### ONLINE

  Type:
    `Enum`
  Value:

        <None: Online>

### pbFrontEnds

  Type:
    `dictionary`
  Value:

        {'twisted.reality': None,
         'twisted.words': <class twisted.im.pbsupport.TwistedWordsClient at 0x\
        82d1964>}

Generated by Epydoc 1.1 on Sat Feb 15 21:19:02 2003 | http://epydoc.sf.net